Rated 1 out of 5 stars

The combination of Firefox 25.0 and current Brief version has resulted in me losing access to the thousands of unread posts from last week that I was going to browse through. This sort of unreliability makes the program a risky choice. I've stuck with Brief through the bad times, but I'm finally done with it.

This review is for a previous version of the add-on (1.7.2). 

I'm sorry this happened. What version of Brief were you using? Was it 2.0 alpha, by any chance?